thread.hpp File Reference
`#include <cstddef>`
`#include <pthread.h>`

Go to the source code of this file.

## Classes

class | Gecode::Support::Mutex
| A mutex for mutual exclausion among several threads. More...
class | Gecode::Support::Lock
| A lock as a scoped frontend for a mutex. More...
class | Gecode::Support::Event
| An event for synchronization. More...
class | Gecode::Support::Terminator
| An interface for objects that can be called after a thread has terminated (after running the thread's destructor). More...
class | Gecode::Support::Runnable
| An interface for objects that can be run by a thread. More...
class | Gecode::Support::Thread
| Simple threads. More...
class | Gecode::Support::Thread::Run
| A real thread. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Support
| Support algorithms and datastructures

## Typedefs

typedef Mutex | Gecode::Support::FastMutex